sc::AccumEffectiveH Class Referenceabstract
Inheritance diagram for sc::AccumEffectiveH:
[legend]
Collaboration diagram for sc::AccumEffectiveH:
[legend]

## Public Member Functions

| AccumEffectiveH (SCF *)
virtual void | process (SCMatrixBlockIter &, SCMatrixBlockIter &)
Public Member Functions inherited from sc::BlockedSCElementOp2
void | working_on (int)
int | current_block () const
Public Member Functions inherited from sc::SCElementOp2
| SCElementOp2 (StateIn &s)
virtual int | has_collect ()
virtual void | defer_collect (int)
virtual int | has_side_effects ()
virtual int | has_side_effects_in_arg ()
virtual void | collect (const Ref< MessageGrp > &)
void | process_base (SCMatrixBlock *, SCMatrixBlock *)
virtual void | process_spec_rect (SCMatrixRectBlock *, SCMatrixRectBlock *)
virtual void | process_spec_ltri (SCMatrixLTriBlock *, SCMatrixLTriBlock *)
virtual void | process_spec_diag (SCMatrixDiagBlock *, SCMatrixDiagBlock *)
virtual void | process_spec_vsimp (SCVectorSimpleBlock *, SCVectorSimpleBlock *)
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
virtual void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions

virtual void | init ()=0
int | index (int hindex, int shelli, int shellj)
int | shell (double)
double & | coef (int i, int j, int k)

## Protected Attributes

SCF * | scf_
double | coef_ [18]

## Additional Inherited Members

Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)

The documentation for this class was generated from the following file:

- effh.h